function out = mk_k( k, al, bt, M, N)

iM  = M + 1;
iN  = N + 1;
out = zeros( 2, 2, iM+M, iN+N);

for m=-M:M
  for n=-N:N
    den = sqrt( k^2 - al(iM+m)^2 - bt(iN+n)^2);
    if real( den)<0
      den = - den;
    end;
    if imag( den)>0
      den = conj( den);
    end;
    out(1,1,iM+m,iN+n) = + ( k^2 - al(iM+m)^2) / den;
    out(1,2,iM+m,iN+n) = - al(iM+m) * bt(iN+n) / den;
    out(2,1,iM+m,iN+n) = + out(1,2,iM+m,iN+n);
    out(2,2,iM+m,iN+n) = + ( k^2 - bt(iN+n)^2) / den;
  end;
end;